package p2.application.twork;

import baseclass.PaoCust;
import p2.pao.PaoSet;
import p2.util.P2Exception;
import p2.application.tbusinesstrip.tbusinesstrip;

public class twork extends PaoCust {
    public twork(PaoSet arg0) {
        super(arg0);
    }

    @Override
    public void add() throws P2Exception {
        super.add();
        if (getOwner() instanceof tbusinesstrip) {
            setValue("tbusinesstripid", getOwner().getUniqueIDValue(), 11L);
        }
    }
}
